#include "person.h"

void Person::read_from_stream(std::istream* is)
{
   // read the data on this person from the stream
   *is >> this->first_name >> this->last_name >> this->age;
   
   // ignore the rest of the line, which might be a comment
   std::string skip;
   std::getline(*is, skip);
}

void Person::write_to_stream(std::ostream* os)
{
   *os << this->first_name << "\t"
       << this->last_name << "\t"
       << this->age << "\n";
}
