#pragma once

#include <iostream>  // std::istream, std::ostream
#include <string>    // std::string, std::getline

class Person
{
public:
   Person() = default;
   
   void read_from_stream(std::istream* is);
   void write_to_stream(std::ostream* os);
   
private:
   std::string first_name{};
   std::string last_name{};
   int age{};
};
